import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    tools: commonTools

    Button {
        id: controlButton
        anchors.centerIn: parent;
        height: 80;
        text: !backend.daemonActive ? "Start RingingRestorer" : "Stop RingingRestorer"
        visible: backend.daemonRunning
        onClicked: {
            backend.daemonActive = !backend.daemonActive
        }
    }

    Label {
        wrapMode: Text.WordWrap
        horizontalAlignment: Text.AlignHCenter
        width: parent.width
        anchors {
            horizontalCenter: parent.horizontalCenter
            top: controlButton.bottom
            topMargin: controlButton.height / 2
        }
        text: "RingingRestorer backend is not running. If you have just started your phone, close this application, wait a couple of minutes, and then start the application again."
        visible: !backend.daemonRunning
    }

    Label {
        wrapMode: Text.WordWrap
        horizontalAlignment: Text.AlignHCenter
        width: parent.width
        anchors {
            horizontalCenter: parent.horizontalCenter
            top: controlButton.bottom
            topMargin: controlButton.height / 2
        }
        text: backend.daemonActive ? "RingingRestorer is active. When profile changed from ringing to beep or silent, will ask how long until ringing resumed."
                                   : "RingingRestorer is not active"
        visible: backend.daemonRunning
    }

}
